
/**** consumptionspeed.do: Analysis File for Dynamic Inconistency in Food Choice  ****/
/**** Sadoff et al. (2019) ***/
/*** This file logs statistics for the spped of consumption using an alternate data set and is called by doanalysis.do ***/




/*** BEGIN SPEED OF CONSUMPTION  DATA ****/
/*** NOTE: ALTERNATE DATA SET ****/
clear
use "Data Files/speed.dta"

expand 20
bysort id: gen obsnum = _n

gen food = ""
replace food = "garden salad" if obsnum == 1
replace food = "gala apples" if obsnum == 2
replace food = "cucumbers" if obsnum == 3
replace food = "red grapes" if obsnum == 4
replace food = "bananas" if obsnum == 5
replace food = "baby carrots" if obsnum == 6
replace food = "canned tomatoes" if obsnum == 7
replace food = "oranges" if obsnum == 8
replace food = "diced peaches" if obsnum == 9
replace food = "green apples" if obsnum == 10
replace food = "rice pudding" if obsnum == 11
replace food = "tortilla chips" if obsnum == 12
replace food = "doritos" if obsnum == 13
replace food = "sweet buns" if obsnum == 14
replace food = "raspberry roll" if obsnum == 15
replace food = "takis" if obsnum == 16
replace food = "gelatin cups" if obsnum == 17
replace food = "palmiers" if obsnum == 18
replace food = "chocolate chip cookies" if obsnum == 19
replace food = "salvadoran bread" if obsnum == 20

gen healthy = 0
replace healthy = 1 if obsnum <= 10 & obsnum != .

gen length = .
replace length = lengthgardensalad if obsnum == 1
replace length = lengthgalaapples if obsnum == 2
replace length = lengthcucumbers if obsnum == 3
replace length = lengthredgrapes if obsnum == 4
replace length = lengthbananas if obsnum == 5
replace length = lengthbabycarrots if obsnum == 6
replace length = lengthcannedtomatoes if obsnum == 7
replace length = lengthoranges if obsnum == 8
replace length = lengthdicedpeaches if obsnum == 9
replace length = lengthgreenapples if obsnum == 10
replace length = lengthricepudding if obsnum == 11
replace length = lengthtortillachips if obsnum == 12
replace length = lengthdoritos if obsnum == 13
replace length = lengthsweetbuns if obsnum == 14
replace length = lengthraspberryroll if obsnum == 15
replace length = lengthtakis if obsnum == 16
replace length = lengthgelatincups if obsnum == 17
replace length = lengthpalmiers if obsnum == 18
replace length = lengthcookies if obsnum == 19
replace length = lengthsalvadoranbread if obsnum == 20

gen perishable = 1
replace perishable = 0 if food == "canned tomatoes"
replace perishable = 0 if food == "diced peaches"
replace perishable = 0 if food == "takis"
replace perishable = 0 if food == "doritos"

log on
/* Speed of Consumption Data (alternate data set */
tab length healthy, exact

tab length perishable, exact
log off


