/**** doanalysis.do: Analysis File for Dynamic Inconistency in Food Choice  ****/
/**** Sadoff et al. (2019) ***/
/*** This file establishes a log-file and calls the following do-files ***/
/*** datasetup.do: prepares data for analysis ****/
/*** dofigures.do: generates all figures for analysis and logs relevant statistics ****/
/*** dotables.do: generates all tables referred to in paper and logs relevant statistics ***/

clear 
set mem 100m
capture log close
set more off

/* Change Path Accordingly */
local path "~/Dropbox/*Charlie-Sally-Anya-Baskets/Dynamic Inconsistency in Food Choice/Stata"
cd "`path'"

/* Establish Log File */
capture log close
log using "difclog", replace text
log off

do "Do Files/datasetup.do"
do "Do Files/dotables.do"
do "Do Files/dofigures.do"
do "Do Files/robustness.do"
do "Do Files/consumptionspeed.do"

log close
